BizKitHub
DocsAPI ReferenceBlob/bff/blob/upload-user-avatar
postBlobAdmin BFF

/bff/blob/upload-user-avatar

Uploads an image file as the current user's avatar via multipart/form-data. Only image content types are accepted. The request body must contain "file" and "blobPath" fields.

BlobpostBffBlobUpload-user-avatar

Parameters

JSON body

Request body

application/json
filestringRequiredbinary

Image binary to use as the avatar.

Default: File
blobPathstringRequired

Storage path prefix.

Response schema

1 status code documented

200Success
successbooleanRequired
Default: true

Response example

application/json
{
  "success": true
}

Request example

POST /bff/blob/upload-user-avatar

post
curl -X POST "https://api.bizkithub.com/bff/blob/upload-user-avatar" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "file": "File",
  "blobPath": "example_blobPath"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key